/*
 * Classe Venceu: Mostra quando o jogador ganha o jogo.
 */

package FugitiveBall;

import JPlay.Window;
import JPlay.GameImage;
import JPlay.Keyboard;
import JPlay.Sound;

public class Venceu {

    Window janela;
    GameImage venceu;
    Keyboard teclado;
    Sound ganhou;
    boolean executando = true;

        public Venceu(Window janela) // Falta ajeitar o som q estava dando erro
        {
            carregar(janela);
            loop();
        }

        void carregar(Window janela) {
            this.janela = janela;
            venceu = new GameImage("venceu.jpg");
            teclado = janela.getKeyboard();
            ganhou = new Sound("ganhou.wav");
        }

        void desenha() {
            venceu.draw();
            janela.display();
        }

        void loop() {
            while (executando) {
                desenha();
                ganhou.play();

                if (teclado.keyDown(Keyboard.ESCAPE_KEY) == true) {
                    janela.exit(); // fim do jogo
                }
            }
        }
    }